Bug 250534 - xsane coredumping trying to access Epson scanner
xsane coredumping trying to access Epson scanner
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 22:56 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 04:47:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Workaround which makes xsane work with GTK 2.12 (748 bytes, patch)
2007-08-12 14:59 EDT, Erik van Pienbroek
no flags Details | Diff

  None (edit)
Description Jonathan Kamens 2007-08-01 22:56:50 EDT
After I select my EPSON USB scanner from the xsane device dialog and click OK,
xsane coredumps.  Actually, it coredumps regardless of which device I select.  I
have xsane-0.994-3.fc7, sane-backends-1.0.18-13.fc8, and other current devel
packages.  Before it coredumps, it prints this:

(xsane:28390): Gtk-CRITICAL **: gtk_widget_get_style: assertion `GTK_IS_WIDGET
(widget)' failed

(xsane:28390): Gtk-CRITICAL **: gtk_style_copy: assertion `GTK_IS_STYLE (style)'
failed

The stack trace is below.  Because of this core dump, I'm unable to verify
whether bug 243953 is fixed for the current devel kernel.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208326464 (LWP 28015)]
0x080c058e in xsane_device_dialog () at xsane.c:5231
5231	  current_style->bg[GTK_STATE_NORMAL] = xsane.tooltips_bg;
(gdb) p current_style
$1 = <value optimized out>
(gdb) bt full
#0  0x080c058e in xsane_device_dialog () at xsane.c:5231
	vbox = <value optimized out>
	hbox = <value optimized out>
	button = <value optimized out>
	frame = <value optimized out>
	infobox = <value optimized out>
	menubar = (GtkWidget *) 0x8406978
	menubar_item = <value optimized out>
	current_style = <value optimized out>
	devname = (const gchar *) 0x83f2278 "snapscan:libusb:005:002"
	buf = "EPSON:EPSON
Scanner1\000002\000$\b\000\221%\b¨Â\234¿5}(\000\000\221%\b¸°&\b°", '\0'
<repeats 11 times>,
"\220TH\005¸°&\btö)\000À°&\b¸°&\bØÂ\234¿A£&\000¸°&\bÿÿÿÿ\000\000\000\000\000\000\000\000¸°&\bP\000\000\000¼°&\btö)\000¸°&\b¸°&\bøÂ\234¿ئ&\000¸°&\bP\000\000\000\000\000\000\0010®]\0050®]\005\030ù#\b\030Ã\234¿\022\v6\005¸°&\bP\000\000\0008Ã\234¿0®]\005¸°&\bxê#\b8Ã\234¿õäG\005¸°"...
	windowname = "Advanced options EPSON
Scanner1:002\000Å\000è.%\b\002\000\000\0003\000\000\000ÐÊ!\bom\000\000\030\000\000\0000\000\000\000\020\000\000\000Lôª\000\001\000\000\000\031\000\000\000\001\000\000\000\b\000\000\000\030\202Í\000
øª\000\001\000\000\000ÈÁ\234¿0øª\000\bÂ\234¿\vÆÂ\000aãª\000\220A:\b\000\000\000\000\216ý5\005aãª\0008\000\000@<\206Í\000<\206Í\000om\000\000
øª\000\000\000\000\000\001\000\000\000Lôª\000\030\202Í\000`þ)\000\001\000\000\000\030Â\234¿\030\202Í\000`þ)\000
øª\000(Â"...
	devicetext = "EPSON
Scanner1:002\000G\005Lôª\000ñå\204\000à Æ!\b\001\000\000\000Lôª\000\030\202Í\000x\210Í\000\001\000\000\000\230À\234¿ñå\204\000¸À\234¿ú7Â\000h/%\b0øª\000ÈÀ\234¿tö)\000\001\000\000\000\030\000\000\000øÀ\234¿xÙ\220\000aãª\000\002\000\000\200\001\000\000\200\001\000\000\000aãª\000ñå\204\000øÀ\234¿\001\000\000\200om\000\0000øª\000\bÁ\234¿\025\016«\000\034µb\000\001\000\000\000\bÁ\234¿\225\216b\000\002\000\000\000\030\202Í\000XÁ\234¿\"ÆÅ\000è.%\b0øª\0008Á\234¿\001\000\000\000om\000"...
	textptr = <value optimized out>
	xsane_window = (GtkWidget *) 0x823a470
	xsane_vbox_main = (GtkWidget *) 0x823a338
	xsane_vbox_standard = <value optimized out>
	xsane_vbox_advanced = <value optimized out>
	colormap = (GdkColormap *) 0x823ac20
	status = <value optimized out>
	sane_handle = (SANE_Handle) 0x83bf7e0
#1  0x00275969 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8407fe8, 
    return_value=0x0, n_param_values=1, param_values=0xbf9cc5dc, 
    invocation_hint=0xbf9cc4bc, marshal_data=0x80c26a0) at gmarshal.c:77
	data1 = (gpointer) 0x823ea78
	data2 = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#2  0x00267f33 in IA__g_closure_invoke (closure=0x8407fe8, return_value=0x0, 
    n_param_values=1, param_values=0xbf9cc5dc, invocation_hint=0xbf9cc4bc)
    at gclosure.c:490
	marshal = (
    GClosureMarshal) 0x275920 <IA__g_cclosure_marshal_VOID__VOID>
	marshal_data = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#3  0x00279a8d in signal_emit_unlocked_R (node=0x8404468, detail=0, 
    instance=0x823ea78, emission_return=0x0, instance_and_params=0xbf9cc5dc)
    at gsignal.c:2440
	tmp = <value optimized out>
	handler = (Handler *) 0x827d380
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0xbf9cc9b4, instance = 0x823ea78, ihint = {
    signal_id = 151, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x83a4c10
	handler_list = (Handler *) 0x827d380
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 151
	max_sequential_handler_number = 215
	return_value_altered = 1
#4  0x0027aef3 in IA__g_signal_emit_valist (instance=0x823ea78, 
    signal_id=151, detail=0, var_args=0x51d5e98 "\230\\\035\005\032Ð\024\005")
    at gsignal.c:2199
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = 1, v_long = 1, v_int64 = 48119353295503361, 
    v_double = 1.9192087740626795e-305, v_pointer = 0x1}, {v_int = 13468184, 
    v_long = 13468184, v_int64 = 57852419216605720, 
    v_double = 8.4113007004705429e-305, v_pointer = 0xcd8218}, {v_int = 1, 
    v_long = 1, v_int64 = -4639614472766357503, 
    v_double = -0.028103709220886234, v_pointer = 0x1}, {v_int = 11204656, 
    v_long = 11204656, v_int64 = -4639614335316199376, 
    v_double = -0.028104186096918393, v_pointer = 0xaaf830}, {
    v_int = 12728314, v_long = 12728314, v_int64 = 586927450177550330, 
    v_double = 2.0050539481963928e-269, v_pointer = 0xc237fa}, {
    v_int = 1084946480, v_long = 1084946480, v_int64 = -4639614265522980816, 
    v_double = -0.028104428240787793, v_pointer = 0x40aaf830}, {
    v_int = 2750068, v_long = 2750068, v_int64 = 17182619252, 
    v_double = 8.4893418779836166e-314, v_pointer = 0x29f674}, {
    v_int = 138675288, v_long = 138675288, v_int64 = -4639614129030298536, 
    v_double = -0.028104901794908294, v_pointer = 0x8440458}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 2664988, data = {{v_int = -1080244084, 
      v_uint = 3214723212, v_long = -1080244084, v_ulong = 3214723212, 
      v_int64 = 595605829938104460, v_uint64 = 595605829938104460, 
      v_float = -1.2248702, v_double = 7.577961918855563e-269, 
      v_pointer = 0xbf9cc88c}, {v_int = 2593355, v_uint = 2593355, 
      v_long = 2593355, v_ulong = 2593355, v_int64 = 11811452124369483, 
      v_uint64 = 11811452124369483, v_float = 3.63406438e-39, 
      v_double = 7.2211177272847415e-308, v_pointer = 0x27924b}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbf9cc5dc
	stack_values = {{g_type = 136579056, data = {{v_int = 136571512, 
        v_uint = 136571512, v_long = 136571512, v_ulong = 136571512, 
        v_int64 = 136571512, v_uint64 = 136571512, v_float = 4.9326645e-34, 
        v_double = 6.7475292279795553e-316, v_pointer = 0x823ea78}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 1, data = {{v_int = 136487888, v_uint = 136487888, 
        v_long = 136487888, v_ulong = 136487888, 
        v_int64 = -4639615572141497392, v_uint64 = 13807128501568054224, 
        v_float = 4.89426624e-34, v_double = -0.028099894997158092, 
        v_pointer = 0x822a3d0}, {v_int = 2522212, v_uint = 2522212, 
        v_long = 2522212, v_ulong = 2522212, v_int64 = 586211015262633060, 
        v_uint64 = 586211015262633060, v_float = 3.5343718e-39, 
        v_double = 1.7641572540052474e-269, v_pointer = 0x267c64}}}, {
    g_type = 32770, data = {{v_int = 32769, v_uint = 32769, v_long = 32769, 
        v_ulong = 32769, v_int64 = 4295000065, v_uint64 = 4295000065, 
        v_float = 4.59191494e-41, v_double = 2.1220119810024209e-314, 
        v_pointer = 0x8001}, {v_int = -1080244712, v_uint = 3214722584, 
        v_long = -1080244712, v_ulong = 3214722584, 
        v_int64 = 48123634297652760, v_uint64 = 48123634297652760, 
        v_float = -1.22479534, v_double = 1.9202917032616763e-305, 
        v_pointer = 0xbf9cc618}}}, {g_type = 3214722616, data = {{
        v_int = 32769, v_uint = 32769, v_long = 32769, v_ulong = 32769, 
        v_int64 = 586927450164854785, v_uint64 = 586927450164854785, 
        v_float = 4.59191494e-41, v_double = 2.0050539439275963e-269, 
        v_pointer = 0x8001}, {v_int = 87991200, v_uint = 87991200, 
        v_long = 87991200, v_ulong = 87991200, v_int64 = 10832298450527136, 
        v_uint64 = 10832298450527136, v_float = 8.96381023e-36, 
        v_double = 6.2535853427952446e-308, v_pointer = 0x53ea3a0}}}, {
    g_type = 2750068, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = -4294967296, v_uint64 = 18446744069414584320, 
        v_float = 0, v_double = -nan(0xfffff00000000), v_pointer = 0x0}, {
        v_int = -1080244584, v_uint = 3214722712, v_long = -1080244584, 
        v_ulong = 3214722712, v_int64 = 10836575069718168, 
        v_uint64 = 10836575069718168, v_float = -1.2248106, 
        v_double = 6.2578112040405132e-308, v_pointer = 0xbf9cc698}}}, {
    g_type = 136487888, data = {{v_int = 1073774594, v_uint = 1073774594, 
        v_long = 1073774594, v_ulong = 1073774594, v_int64 = 140747152064514, 
        v_uint64 = 140747152064514, v_float = 2.00781298, 
        v_double = 6.9538332585070246e-310, v_pointer = 0x40008002}, {
        v_int = -1080244084, v_uint = 3214723212, v_long = -1080244084, 
        v_ulong = 3214723212, v_int64 = 48100755006867596, 
        v_uint64 = 48100755006867596, v_float = -1.2248702, 
        v_double = 1.9145041210136575e-305, v_pointer = 0xbf9cc88c}}}, {
    g_type = 32, data = {{v_int = -1080244600, v_uint = 3214722696, 
        v_long = -1080244600, v_ulong = 3214722696, 
        v_int64 = 11172797994550920, v_uint64 = 11172797994550920, 
        v_float = -1.22480869, v_double = 6.5900435970487662e-308, 
        v_pointer = 0xbf9cc688}, {v_int = 28015, v_uint = 28015, 
        v_long = 28015, v_ulong = 28015, v_int64 = 10809161373740399, 
        v_uint64 = 10809161373740399, v_float = 3.92573765e-41, 
        v_double = 6.2307228732242091e-308, v_pointer = 0x6d6f}}}, {
    g_type = 32, data = {{v_int = 32770, v_uint = 32770, v_long = 32770, 
        v_ulong = 32770, v_int64 = 48119353295536130, 
        v_uint64 = 48119353295536130, v_float = 4.59205507e-41, 
        v_double = 1.9192087740709688e-305, v_pointer = 0x8002}, {
        v_int = 136624848, v_uint = 136624848, v_long = 136624848, 
        v_ulong = 136624848, v_int64 = -4639615159824500016, 
        v_uint64 = 13807128913885051600, v_float = 4.95715519e-34, 
        v_double = -0.028101325509107877, v_pointer = 0x824bad0}}}, {
    g_type = 1, data = {{v_int = 138675288, v_uint = 138675288, 
        v_long = 138675288, v_ulong = 138675288, v_int64 = 11811452260451416, 
        v_uint64 = 11811452260451416, v_float = 5.89867106e-34, 
        v_double = 7.2211178617515577e-308, v_pointer = 0x8440458}, {
        v_int = 11204640, v_uint = 11204640, v_long = 11204640, 
        v_ulong = 11204640, v_int64 = 4306171936, v_uint64 = 4306171936, 
        v_float = 1.57010448e-38, v_double = 2.127531618663291e-314, 
        v_pointer = 0xaaf820}}}, {g_type = 3214722712, data = {{
        v_int = 11204656, v_uint = 11204656, v_long = 11204656, 
        v_ulong = 11204656, v_int64 = -4639613922999338960, 
        v_uint64 = 13807130150710212656, v_float = 1.57010672e-38, 
        v_double = -0.028105616608393003, v_pointer = 0xaaf830}, {
        v_int = 2596886, v_uint = 2596886, v_long = 2596886, 
        v_ulong = 2596886, v_int64 = 11815094256640022, 
        v_uint64 = 11815094256640022, v_float = 3.63901236e-39, 
        v_double = 7.2247166321497077e-308, v_pointer = 0x27a016}}}, {
    g_type = 0, data = {{v_int = 2, v_uint = 2, v_long = 2, v_ulong = 2, 
        v_int64 = -4639613012477476862, v_uint64 = 13807131061232074754, 
        v_float = 2.80259693e-45, v_double = -0.028108775615692146, 
        v_pointer = 0x2}, {v_int = -1080244372, v_uint = 3214722924, 
        v_long = -1080244372, v_ulong = 3214722924, v_int64 = 7509690220, 
        v_uint64 = 7509690220, v_float = -1.22483587, 
        v_double = 3.7102799486119928e-314, v_pointer = 0xbf9cc76c}}}, {
    g_type = 3214722776, data = {{v_int = 2750068, v_uint = 2750068, 
        v_long = 2750068, v_ulong = 2750068, v_int64 = 120323511547508, 
        v_uint64 = 120323511547508, v_float = 3.85366607e-39, 
        v_double = 5.9447713442606226e-310, v_pointer = 0x29f674}, {
        v_int = 138688264, v_uint = 138688264, v_long = 138688264, 
        v_ulong = 138688264, v_int64 = -4639614678786099448, 
        v_uint64 = 13807129394923452168, v_float = 5.90462935e-34, 
        v_double = -0.028102994446320501, v_pointer = 0x8443708}}}, {
    g_type = 2522212, data = {{v_int = 11203660, v_uint = 11203660, 
        v_long = 11203660, v_ulong = 11203660, v_int64 = 140746089493580, 
        v_uint64 = 140746089493580, v_float = 1.56996716e-38, 
        v_double = 6.9537807605275487e-310, v_pointer = 0xaaf44c}, {
        v_int = 32769, v_uint = 32769, v_long = 32769, v_ulong = 32769, 
        v_int64 = -4639614283787763711, v_uint64 = 13807129789921787905, 
        v_float = 4.59191494e-41, v_double = -0.02810436487209245, 
        v_pointer = 0x8001}}}, {g_type = 138675288, data = {{v_int = 809, 
        v_uint = 809, v_long = 809, v_ulong = 809, 
        v_int64 = 586207270048629545, v_uint64 = 586207270048629545, 
        v_float = 1.13365046e-42, v_double = 1.7628979495608383e-269, 
        v_pointer = 0x329}, {v_int = 16777219, v_uint = 16777219, 
        v_long = 16777219, v_ulong = 16777219, v_int64 = 48100751808921603, 
        v_uint64 = 48100751808921603, v_float = 2.35098954e-38, 
        v_double = 1.9145033120560882e-305, v_pointer = 0x1000003}}}, {
    g_type = 11204656, data = {{v_int = 0, v_uint = 0, v_long = 0, 
        v_ulong = 0, v_int64 = 586211015260110848, 
        v_uint64 = 586211015260110848, v_float = 0, 
        v_double = 1.7641572531571696e-269, v_pointer = 0x0}, {v_int = 28015, 
        v_uint = 28015, v_long = 28015, v_ulong = 28015, v_int64 = 28015, 
        v_uint64 = 28015, v_float = 3.92573765e-41, 
        v_double = 1.3841249068242522e-319, v_pointer = 0x6d6f}}}, {
    g_type = 1, data = {{v_int = 213, v_uint = 213, v_long = 213, 
        v_ulong = 213, v_int64 = 48119353295503573, 
        v_uint64 = 48119353295503573, v_float = 2.98476573e-43, 
        v_double = 1.9192087740627331e-305, v_pointer = 0xd5}, {
        v_int = 138675288, v_uint = 138675288, v_long = 138675288, 
        v_ulong = 138675288, v_int64 = 586207476345734232, 
        v_uint64 = 586207476345734232, v_float = 5.89867106e-34, 
        v_double = 1.7629673156532851e-269, v_pointer = 0x8440458}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbf9cc5f0
	node = (SignalNode *) 0x8404468
	i = 1
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#5  0x0027b199 in IA__g_signal_emit (instance=0x823ea78, signal_id=151, 
    detail=0) at gsignal.c:2243
	var_args = 0xbf9cc81c "\214©("
#6  0x052462e7 in gtk_button_clicked () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#7  0x0524844e in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x00275969 in IA__g_cclosure_marshal_VOID__VOID (closure=0x84043c8, 
    return_value=0x0, n_param_values=1, param_values=0xbf9ccadc, 
    invocation_hint=0xbf9cc9bc, marshal_data=0x5248410) at gmarshal.c:77
	data1 = (gpointer) 0x823ea78
	data2 = (gpointer) 0x0
	__PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#9  0x00266729 in g_type_class_meta_marshal (closure=0x84043c8, 
    return_value=0x0, n_param_values=1, param_values=0xbf9ccadc, 
    invocation_hint=0xbf9cc9bc, marshal_data=0x1a4) at gclosure.c:567
	callback = <value optimized out>
#10 0x00267f33 in IA__g_closure_invoke (closure=0x84043c8, return_value=0x0, 
    n_param_values=1, param_values=0xbf9ccadc, invocation_hint=0xbf9cc9bc)
    at gclosure.c:490
	marshal = (GClosureMarshal) 0x2666e0 <g_type_class_meta_marshal>
	marshal_data = (gpointer) 0x1a4
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#11 0x00279f1a in signal_emit_unlocked_R (node=0x827d758, detail=0, 
    instance=0x823ea78, emission_return=0x0, instance_and_params=0xbf9ccadc)
    at gsignal.c:2370
	tmp = <value optimized out>
	handler = (Handler *) 0x823ea78
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0xbf9cced4, instance = 0x823ea78, ihint = {
    signal_id = 150, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 136579056}
	class_closure = (GClosure *) 0x84043c8
	handler_list = (Handler *) 0x8421c00
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 150
	max_sequential_handler_number = 215
	return_value_altered = 0
#12 0x0027aef3 in IA__g_signal_emit_valist (instance=0x823ea78, 
    signal_id=150, detail=0, var_args=0x9c4620 "\201Ã\004å\v")
    at gsignal.c:2199
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = -1080243036, v_long = -1080243036, 
    v_int64 = 595605829938105508, v_double = 7.5779619188569725e-269, 
    v_pointer = 0xbf9ccca4}, {v_int = 949, v_long = 949, 
    v_int64 = 586207270048629685, v_double = 1.7628979495608854e-269, 
    v_pointer = 0x3b5}, {v_int = 16777218, v_long = 16777218, 
    v_int64 = 48100751808921602, v_double = 1.914503312056088e-305, 
    v_pointer = 0x1000002}, {v_int = 11204656, v_long = 11204656, 
    v_int64 = 11204656, v_double = 5.5358356030689981e-317, 
    v_pointer = 0xaaf830}, {v_int = 2634740, v_long = 2634740, 
    v_int64 = 120323511432180, v_double = 5.9447713385626624e-310, 
    v_pointer = 0x2833f4}, {v_int = 0, v_long = 0, v_int64 = 12884901888, 
    v_double = 6.3659873728958169e-314, v_pointer = 0x0}, {v_int = 213, 
    v_long = 213, v_int64 = 48119353295503573, 
    v_double = 1.9192087740627331e-305, v_pointer = 0xd5}, {
    v_int = 138675288, v_long = 138675288, v_int64 = -4639608700191636392, 
    v_double = -0.028123736862657317, v_pointer = 0x8440458}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 16, data = {{v_int = 11199329, 
      v_uint = 11199329, v_long = 11199329, v_ulong = 11199329, 
      v_int64 = 4306166625, v_uint64 = 4306166625, v_float = 1.56936025e-38, 
      v_double = 2.1275289946806459e-314, v_pointer = 0xaae361}, {v_int = 11, 
      v_uint = 11, v_long = 11, v_ulong = 11, v_int64 = 11301265841586187, 
      v_uint64 = 11301265841586187, v_float = 1.54142831e-44, 
      v_double = 6.7169866966793935e-308, v_pointer = 0xb}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbf9ccadc
	stack_values = {{g_type = 136579056, data = {{v_int = 136571512, 
        v_uint = 136571512, v_long = 136571512, v_ulong = 136571512, 
        v_int64 = 136571512, v_uint64 = 136571512, v_float = 4.9326645e-34, 
        v_double = 6.7475292279795553e-316, v_pointer = 0x823ea78}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 11203660, data = {{v_int = 136487888, v_uint = 136487888, 
        v_long = 136487888, v_ulong = 136487888, 
        v_int64 = -4639610212022311984, v_uint64 = 13807133861687239632, 
        v_float = 4.89426624e-34, v_double = -0.028118491646328014, 
        v_pointer = 0x822a3d0}, {v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = -4639607240041431039, 
        v_uint64 = 13807136833668120577, v_float = 1.40129846e-45, 
        v_double = -0.028128802776336673, v_pointer = 0x1}}}, {
    g_type = 13468184, data = {{v_int = 13469816, v_uint = 13469816, 
        v_long = 13469816, v_ulong = 13469816, v_int64 = 4308437112, 
        v_uint64 = 4308437112, v_float = 1.88752325e-38, 
        v_double = 2.1286507643066751e-314, v_pointer = 0xcd8878}, {
        v_int = -1080243432, v_uint = 3214723864, v_long = -1080243432, 
        v_ulong = 3214723864, v_int64 = 48123634297654040, 
        v_uint64 = 48123634297654040, v_float = -1.22494793, 
        v_double = 1.9202917032620001e-305, v_pointer = 0xbf9ccb18}}}, {
    g_type = 3214723896, data = {{v_int = 12728314, v_uint = 12728314, 
        v_long = 12728314, v_ulong = 12728314, v_int64 = 586927450177550330, 
        v_uint64 = 586927450177550330, v_float = 1.78361669e-38, 
        v_double = 2.0050539481963928e-269, v_pointer = 0xc237fa}, {
        v_int = 138445032, v_uint = 138445032, v_long = 138445032, 
        v_ulong = 138445032, v_int64 = 343735828712, v_uint64 = 343735828712, 
        v_float = 5.79294269e-34, v_double = 1.6982806421137038e-312, 
        v_pointer = 0x84080e8}}}, {g_type = 2750068, data = {{v_int = 1, 
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 586211015260110849, 
        v_uint64 = 586211015260110849, v_float = 1.40129846e-45, 
        v_double = 1.7641572531571699e-269, v_pointer = 0x1}, {
        v_int = -1080243336, v_uint = 3214723960, v_long = -1080243336, 
        v_ulong = 3214723960, v_int64 = 10832821268302712, 
        v_uint64 = 10832821268302712, v_float = -1.22495937, 
        v_double = 6.2541019553991391e-308, v_pointer = 0xbf9ccb78}}}, {
    g_type = 136487888, data = {{v_int = 32770, v_uint = 32770, 
        v_long = 32770, v_ulong = 32770, v_int64 = 140741783355394, 
        v_uint64 = 140741783355394, v_float = 4.59205507e-41, 
        v_double = 6.953568009033154e-310, v_pointer = 0x8002}, {v_int = 1, 
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = -4639609937280892927, 
        v_uint64 = 13807134136428658689, v_float = 1.40129846e-45, 
        v_double = -0.028119444847106937, v_pointer = 0x1}}}, {
    g_type = 11204656, data = {{v_int = -1080243336, v_uint = 3214723960, 
        v_long = -1080243336, v_ulong = 3214723960, 
        v_int64 = 140744998046584, v_uint64 = 140744998046584, 
        v_float = -1.22495937, v_double = 6.9537268358810507e-310, 
        v_pointer = 0xbf9ccb78}, {v_int = 136654696, v_uint = 136654696, 
        v_long = 136654696, v_ulong = 136654696, 
        v_int64 = 377919326472449896, v_uint64 = 377919326472449896, 
        v_float = 4.97086072e-34, v_double = 2.0604446706062976e-283, 
        v_pointer = 0x8252f68}}}, {g_type = 2522091, data = {{
        v_int = 2750068, v_uint = 2750068, v_long = 2750068, 
        v_ulong = 2750068, v_int64 = 2750068, v_uint64 = 2750068, 
        v_float = 3.85366607e-39, v_double = 1.3587141225273452e-317, 
        v_pointer = 0x29f674}, {v_int = -1, v_uint = 4294967295, v_long = -1, 
        v_ulong = 4294967295, v_int64 = -4639609383230111745, 
        v_uint64 = 13807134690479439871, v_float = -nan(0x7fffff), 
        v_double = -0.028121367096900936, v_pointer = 0xffffffff}}}, {
    g_type = 2523086, data = {{v_int = 136487888, v_uint = 136487888, 
        v_long = 136487888, v_ulong = 136487888, 
        v_int64 = 4611826764642165712, v_uint64 = 4611826764642165712, 
        v_float = 4.89426624e-34, v_double = 2.062503875310064, 
        v_pointer = 0x822a3d0}, {v_int = 32770, v_uint = 32770, 
        v_long = 32770, v_ulong = 32770, v_int64 = -4639607240041398270, 
        v_uint64 = 13807136833668153346, v_float = 4.59205507e-41, 
        v_double = -0.028128802776450364, v_pointer = 0x8002}}}, {
    g_type = 11199329, data = {{v_int = 32, v_uint = 32, v_long = 32, 
        v_ulong = 32, v_int64 = 57852419203137568, 
        v_uint64 = 57852419203137568, v_float = 4.48415509e-44, 
        v_double = 8.4113006868428412e-305, v_pointer = 0x20}, {v_int = 1, 
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 120323508797441, 
        v_uint64 = 120323508797441, v_float = 1.40129846e-45, 
        v_double = 5.9447712083892598e-310, v_pointer = 0x1}}}, {
    g_type = 2516704, data = {{v_int = 32, v_uint = 32, v_long = 32, 
        v_ulong = 32, v_int64 = 140746078289952, v_uint64 = 140746078289952, 
        v_float = 4.48415509e-44, v_double = 6.9537802069947784e-310, 
        v_pointer = 0x20}, {v_int = 11203660, v_uint = 11203660, 
        v_long = 11203660, v_ulong = 11203660, 
        v_int64 = -4639603563538222004, v_uint64 = 13807140510171329612, 
        v_float = 1.56996716e-38, v_double = -0.028141558209189108, 
        v_pointer = 0xaaf44c}}}, {g_type = 3214724056, data = {{v_int = 1, 
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 595605826723381249, 
        v_uint64 = 595605826723381249, v_float = 1.40129846e-45, 
        v_double = 7.5779575951344369e-269, v_pointer = 0x1}, {
        v_int = 2750068, v_uint = 2750068, v_long = 2750068, 
        v_ulong = 2750068, v_int64 = 48123562366203508, 
        v_uint64 = 48123562366203508, v_float = 3.85366607e-39, 
        v_double = 1.9202735073664156e-305, v_pointer = 0x29f674}}}, {
    g_type = 1, data = {{v_int = -1080243240, v_uint = 3214724056, 
        v_long = -1080243240, v_ulong = 3214724056, 
        v_int64 = 48123634297654232, v_uint64 = 48123634297654232, 
        v_float = -1.22497082, v_double = 1.9202917032620486e-305, 
        v_pointer = 0xbf9ccbd8}, {v_int = -1080242952, v_uint = 3214724344, 
        v_long = -1080242952, v_ulong = 3214724344, 
        v_int64 = 11153543656164600, v_uint64 = 11153543656164600, 
        v_float = -1.22500515, v_double = 6.5710177827886e-308, 
        v_pointer = 0xbf9cccf8}}}, {g_type = 2750916, data = {{v_int = 0, 
        v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 8589934592, 
        v_uint64 = 8589934592, v_float = 0, 
        v_double = 4.2439915819305446e-314, v_pointer = 0x0}, {
        v_int = -1080242740, v_uint = 3214724556, v_long = -1080242740, 
        v_ulong = 3214724556, v_int64 = -4639608473777287732, 
        v_uint64 = 13807135599932263884, v_float = -1.22503042, 
        v_double = -0.028124522395229154, v_pointer = 0xbf9ccdcc}}}, {
    g_type = 87990816, data = {{v_int = 2522091, v_uint = 2522091, 
        v_long = 2522091, v_ulong = 2522091, v_int64 = 11811452124298219, 
        v_uint64 = 11811452124298219, v_float = 3.53420225e-39, 
        v_double = 7.2211177272143233e-308, v_pointer = 0x267beb}, {
        v_int = 28015, v_uint = 28015, v_long = 28015, v_ulong = 28015, 
        v_int64 = -4294939281, v_uint64 = 18446744069414612335, 
        v_float = 3.92573765e-41, v_double = -nan(0xfffff00006d6f), 
        v_pointer = 0x6d6f}}}, {g_type = 3214724200, data = {{
        v_int = 2523086, v_uint = 2523086, v_long = 2523086, 
        v_ulong = 2523086, v_int64 = 48119353298026446, 
        v_uint64 = 48119353298026446, v_float = 3.53559654e-39, 
        v_double = 1.9192087747009231e-305, v_pointer = 0x267fce}, {
        v_int = 1073774594, v_uint = 1073774594, v_long = 1073774594, 
        v_ulong = 1073774594, v_int64 = 140747152064514, 
        v_uint64 = 140747152064514, v_float = 2.00781298, 
        v_double = 6.9538332585070246e-310, v_pointer = 0x40008002}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 4
	param_values = (GValue *) 0xbf9ccaf0
	node = (SignalNode *) 0x827d758
	i = 51053473
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#13 0x0027b199 in IA__g_signal_emit (instance=0x823ea78, signal_id=150, 
    detail=0) at gsignal.c:2243
	var_args = 0xbf9ccd1c
"0®]\0050®]\005°c$\005HÍ\234¿òc$\005xê#\bð\a$\bx\210Í"
#14 0x05246377 in gtk_button_released () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x052463f2 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x0533b012 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x00266729 in g_type_class_meta_marshal (closure=0x824a780, 
    return_value=0xbf9ccef0, n_param_values=2, param_values=0xbf9ccffc, 
    invocation_hint=0xbf9ccedc, marshal_data=0xb4) at gclosure.c:567
	callback = <value optimized out>
#18 0x00267f33 in IA__g_closure_invoke (closure=0x824a780, 
    return_value=0xbf9ccef0, n_param_values=2, param_values=0xbf9ccffc, 
    invocation_hint=0xbf9ccedc) at gclosure.c:490
	marshal = (GClosureMarshal) 0x2666e0 <g_type_class_meta_marshal>
	marshal_data = (gpointer) 0xb4
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#19 0x0027a0d3 in signal_emit_unlocked_R (node=0x824a868, detail=0, 
    instance=0x823ea78, emission_return=0xbf9cd1bc, 
    instance_and_params=0xbf9ccffc) at gsignal.c:2478
	tmp = <value optimized out>
	handler = (Handler *) 0x823ea78
	accumulator = (SignalAccumulator *) 0x824a8b8
	emission = {next = 0x0, instance = 0x823ea78, ihint = {
    signal_id = 30, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
  state = EMISSION_RUN, chain_type = 136579056}
	class_closure = (GClosure *) 0x824a780
	handler_list = (Handler *) 0x0
	return_accu = (GValue *) 0xbf9ccef0
	accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 30
	max_sequential_handler_number = 215
	return_value_altered = 0
#20 0x0027ada6 in IA__g_signal_emit_valist (instance=0x823ea78, signal_id=30, 
    detail=0, var_args=0xbf9cd240 "XÒ\234¿ø¡#\bxê#\bñ¤G\005xê#\b\030ù#\b")
    at gsignal.c:2209
	_flags = <value optimized out>
	_vtable = <value optimized out>
	_cvalues = {{v_int = -1080241576, v_long = -1080241576, 
    v_int64 = 3214725720, v_double = 1.5882855390542663e-314, 
    v_pointer = 0xbf9cd258}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0, 
    v_double = 0, v_pointer = 0x0}}
	_lcopy_format = <value optimized out>
	_n_values = <value optimized out>
	return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
      v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}}}
	error = <value optimized out>
	instance_and_params = (GValue *) 0xbf9ccffc
	stack_values = {{g_type = 136579056, data = {{v_int = 136571512, 
        v_uint = 136571512, v_long = 136571512, v_ulong = 136571512, 
        v_int64 = 136571512, v_uint64 = 136571512, v_float = 4.9326645e-34, 
        v_double = 6.7475292279795553e-316, v_pointer = 0x823ea78}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, 
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 136623032, data = {{v_int = 136552952, v_uint = 136552952, 
        v_long = 136552952, v_ulong = 136552952, v_int64 = 136552952, 
        v_uint64 = 136552952, v_float = 4.92414216e-34, 
        v_double = 6.7466122421408739e-316, v_pointer = 0x823a1f8}, {
        v_int = 134217728, v_uint = 134217728, v_long = 134217728, 
        v_ulong = 134217728, v_int64 = 134217728, v_uint64 = 134217728, 
        v_float = 3.85185989e-34, v_double = 6.631236846766476e-316, 
        v_pointer = 0x8000000}}}, {g_type = 865, data = {{
        v_int = -1080242104, v_uint = 3214725192, v_long = -1080242104, 
        v_ulong = 3214725192, v_int64 = 10869796641755208, 
        v_uint64 = 10869796641755208, v_float = -1.22510624, 
        v_double = 6.2906384789291965e-308, v_pointer = 0xbf9cd048}, {
        v_int = 136540200, v_uint = 136540200, v_long = 136540200, 
        v_ulong = 136540200, v_int64 = 4611689733710639144, 
        v_uint64 = 4611689733710639144, v_float = 4.91828673e-34, 
        v_double = 2.0016499172034123, v_pointer = 0x8237028}}}, {
    g_type = 26444064, data = {{v_int = 85810840, v_uint = 85810840, 
        v_long = 85810840, v_ulong = 85810840, v_int64 = 595647780049739416, 
        v_uint64 = 595647780049739416, v_float = 7.39947865e-36, 
        v_double = 7.6343837542708699e-269, v_pointer = 0x51d5e98}, {
        v_int = 138685056, v_uint = 138685056, v_long = 138685056, 
        v_ulong = 138685056, v_int64 = -4639604370864592256, 
        v_uint64 = 13807139702844959360, v_float = 5.90315631e-34, 
        v_double = -0.028138757233174605, v_pointer = 0x8442a80}}}, {
    g_type = 85445411, data = {{v_int = 138685056, v_uint = 138685056, 
        v_long = 138685056, v_ulong = 138685056, 
        v_int64 = 586512522102975104, v_uint64 = 586512522102975104, 
        v_float = 5.90315631e-34, v_double = 1.8655370159377085e-269, 
        v_pointer = 0x8442a80}, {v_int = -1080242056, v_uint = 3214725240, 
        v_long = -1080242056, v_ulong = 3214725240, 
        v_int64 = 368554754657013880, v_uint64 = 368554754657013880, 
        v_float = -1.22511196, v_double = 4.9376570786610246e-284, 
        v_pointer = 0xbf9cd078}}}, {g_type = 138685056, data = {{
        v_int = -1080241544, v_uint = 3214725752, v_long = -1080241544, 
        v_ulong = 3214725752, v_int64 = -4639604230349598088, 
        v_uint64 = 13807139843359953528, v_float = -1.225173, 
        v_double = -0.028139244742492825, v_pointer = 0xbf9cd278}, {
        v_int = 2643745, v_uint = 2643745, v_long = 2643745, 
        v_ulong = 2643745, v_int64 = 595647779966572321, 
        v_uint64 = 595647779966572321, v_float = 3.70467581e-39, 
        v_double = 7.634383642413238e-269, v_pointer = 0x285721}}}, {
    g_type = 136548016, data = {{v_int = 27054360, v_uint = 27054360, 
        v_long = 27054360, v_ulong = 27054360, v_int64 = 367337892745105688, 
        v_uint64 = 367337892745105688, v_float = 5.76053844e-38, 
        v_double = 4.2108391899402665e-284, v_pointer = 0x19cd118}, {
        v_int = 11199329, v_uint = 11199329, v_long = 11199329, 
        v_ulong = 11199329, v_int64 = 586518122612843361, 
        v_uint64 = 586518122612843361, v_float = 1.56936025e-38, 
        v_double = 1.8674201518443439e-269, v_pointer = 0xaae361}}}, {
    g_type = 3214725288, data = {{v_int = 85362081, v_uint = 85362081, 
        v_long = 85362081, v_ulong = 85362081, v_int64 = 120323594159521, 
        v_uint64 = 120323594159521, v_float = 7.07750986e-36, 
        v_double = 5.9447754258363784e-310, v_pointer = 0x51685a1}, {
        v_int = 1076072248, v_uint = 1076072248, v_long = 1076072248, 
        v_ulong = 1076072248, v_int64 = 116197180173422392, 
        v_uint64 = 116197180173422392, v_float = 2.55561638, 
        v_double = 6.7230704557361856e-301, v_pointer = 0x40238f38}}}, {
    g_type = 85810840, data = {{v_int = 11203660, v_uint = 11203660, 
        v_long = 11203660, v_ulong = 11203660, 
        v_int64 = -4639602103249341364, v_uint64 = 13807141970460210252, 
        v_float = 1.56996716e-38, v_double = -0.028146624603995016, 
        v_pointer = 0xaaf44c}, {v_int = -1080241976, v_uint = 3214725320, 
        v_long = -1080241976, v_ulong = 3214725320, v_int64 = 7509692616, 
        v_uint64 = 7509692616, v_float = -1.2251215, 
        v_double = 3.7102811323932803e-314, v_pointer = 0xbf9cd0c8}}}, {
    g_type = 11203660, data = {{v_int = 13468184, v_uint = 13468184, 
        v_long = 13468184, v_ulong = 13468184, v_int64 = 57852419216605720, 
        v_uint64 = 57852419216605720, v_float = 1.88729456e-38, 
        v_double = 8.4113007004705429e-305, v_pointer = 0xcd8218}, {
        v_int = 1, v_uint = 1, v_long = 1, v_ulong = 1, 
        v_int64 = -4639603958686416895, v_uint64 = 13807140115023134721, 
        v_float = 1.40129846e-45, v_double = -0.028140187263488773, 
        v_pointer = 0x1}}}, {g_type = 11204656, data = {{v_int = -1080241944, 
        v_uint = 3214725352, v_long = -1080241944, v_ulong = 3214725352, 
        v_int64 = 54667695577944296, v_uint64 = 54667695577944296, 
        v_float = -1.22512531, v_double = 5.1888494157629259e-305, 
        v_pointer = 0xbf9cd0e8}, {v_int = 136654696, v_uint = 136654696, 
        v_long = 136654696, v_ulong = 136654696, 
        v_int64 = 4659809649646972776, v_uint64 = 4659809649646972776, 
        v_float = 4.97086072e-34, v_double = 3452.093812143361, 
        v_pointer = 0x8252f68}}}, {g_type = 3214725368, data = {{
        v_int = 2750068, v_uint = 2750068, v_long = 2750068, 
        v_ulong = 2750068, v_int64 = 17182619252, v_uint64 = 17182619252, 
        v_float = 3.85366607e-39, v_double = 8.4893418779836166e-314, 
        v_pointer = 0x29f674}, {v_int = 136559392, v_uint = 136559392, 
        v_long = 136559392, v_ulong = 136559392, 
        v_int64 = -4639603614952473824, v_uint64 = 13807140458757077792, 
        v_float = 4.92709927e-34, v_double = -0.028141379830169844, 
        v_pointer = 0x823bb20}}}, {g_type = 2531742, data = {{
        v_int = 136559396, v_uint = 136559396, v_long = 136559396, 
        v_ulong = 136559396, v_int64 = 17316428580, v_uint64 = 17316428580, 
        v_float = 4.9271011e-34, v_double = 8.5554524700415198e-314, 
        v_pointer = 0x823bb24}, {v_int = 3, v_uint = 3, v_long = 3, 
        v_ulong = 3, v_int64 = 10872052579827715, 
        v_uint64 = 10872052579827715, v_float = 4.20389539e-45, 
        v_double = 6.2928676419307386e-308, v_pointer = 0x3}}}, {
    g_type = 136559396, data = {{v_int = 1, v_uint = 1, v_long = 1, 
        v_ulong = 1, v_int64 = 586518139781513217, 
        v_uint64 = 586518139781513217, v_float = 1.40129846e-45, 
        v_double = 1.8674259247006437e-269, v_pointer = 0x1}, {
        v_int = 85810840, v_uint = 85810840, v_long = 85810840, 
        v_ulong = 85810840, v_int64 = 4380778136, v_uint64 = 4380778136, 
        v_float = 7.39947865e-36, v_double = 2.1643919790500522e-314, 
        v_pointer = 0x51d5e98}}}, {g_type = 136559392, data = {{
        v_int = -1080241592, v_uint = 3214725704, v_long = -1080241592, 
        v_ulong = 3214725704, v_int64 = 367056562689987144, 
        v_uint64 = 367056562689987144, v_float = -1.22516727, 
        v_double = 4.0428039225907354e-284, v_pointer = 0xbf9cd248}, {
        v_int = 136559392, v_uint = 136559392, v_long = 136559392, 
        v_ulong = 136559392, v_int64 = -4639602103123985632, 
        v_uint64 = 13807141970585565984, v_float = 4.92709927e-34, 
        v_double = -0.028146625038910078, v_pointer = 0x823bb20}}}, {
    g_type = 3214725584, data = {{v_int = 6680897, v_uint = 6680897, 
        v_long = 6680897, v_ulong = 6680897, v_int64 = 587063205497794881, 
        v_uint64 = 587063205497794881, v_float = 9.36193071e-39, 
        v_double = 2.0507008132288556e-269, v_pointer = 0x65f141}, {
        v_int = 136686488, v_uint = 136686488, v_long = 136686488, 
        v_ulong = 136686488, v_int64 = -4639603271354963048, 
        v_uint64 = 13807140802354588568, v_float = 4.98545889e-34, 
        v_double = -0.028142571923506304, v_pointer = 0x825ab98}}}}
	free_me = (GValue *) 0x0
	signal_return_type = 20
	param_values = (GValue *) 0xbf9cd010
	node = (SignalNode *) 0x824a868
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#21 0x0027b199 in IA__g_signal_emit (instance=0x823ea78, signal_id=30, 
    detail=0) at gsignal.c:2243
	var_args = 0xbf9cd23c "ø¡#\bXÒ\234¿ø¡#\bxê#\bñ¤G\005xê#\b\030ù#\b"
#22 0x054748b8 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#23 0x05332f1e in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#24 0x053342f2 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#25 0x051837ba in ?? () from /usr/lib/libgdk-x11-2.0.so.0
No symbol table info available.
#26 0x00c401ac in IA__g_main_context_dispatch (context=0x821d100)
    at gmain.c:2061
No locals.
#27 0x00c435ef in g_main_context_iterate (context=0x821d100, block=1, 
    dispatch=1, self=0x822a1a0) at gmain.c:2694
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x83a4c98
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#28 0x00c43999 in IA__g_main_loop_run (loop=0x83bac30) at gmain.c:2898
	got_ownership = 11199312
	self = (GThread *) 0x822a1a0
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#29 0x05334784 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#30 0x080c1451 in xsane_interface (argc=1, argv=0xbf9ce944) at xsane.c:6041
	act = {__sigaction_handler = {
    sa_handler = 0x80b6180 <xsane_sigchld_handler>, 
    sa_sigaction = 0x80b6180 <xsane_sigchld_handler>}, sa_mask = {__val = {
      0 <repeats 32 times>}}, sa_flags = 0, sa_restorer = 0}
#31 0x080c25e9 in main (argc=1, argv=0xbf9ce944) at xsane.c:6238
No locals.
#32 0x007fcf70 in __libc_start_main (main=0x80c21a0 <main>, argc=1, 
    ubp_av=0xbf9ce944, init=0x80c47e0 <__libc_csu_init>, 
    fini=0x80c47d0 <__libc_csu_fini>, rtld_fini=0x7d63d0 <_dl_fini>, 
    stack_end=0xbf9ce93c) at libc-start.c:222
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {9662452, 8273056, 0, 
        -1080235752, -626753925, 485201156}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x804df60, 0x7fce9d}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 134537056}}}
	not_first_call = <value optimized out>
#33 0x0804df81 in _start ()
No symbol table info available.
Comment 1 Erik van Pienbroek 2007-08-12 14:39:33 EDT
I've got the same trace, but with a Mustek 600CU scanner :

(gdb) bt full
#0  0x080c058e in xsane_device_dialog () at xsane.c:5231
        vbox = <value optimized out>
        hbox = <value optimized out>
        button = <value optimized out>
        frame = <value optimized out>
        infobox = <value optimized out>
        menubar = (GtkWidget *) 0x83e68f8
        menubar_item = <value optimized out>
        current_style = <value optimized out>
        devname = (const gchar *) 0x83d52d0 "mustek_usb:libusb:003:002"
        buf = "Mustek:600
CU\000busb:003:002\000\020\001%\b(���O;�\000\020\001%\b\0009%\b", '\0' <repeats
12 times>,
"\200\003\222\006\0009%\bt��\000\b9%\b\0009%\bX����\202�\000\0009%\b����\000\000\000\000\000\000\000\000\0009%\bP\000\000\000\0049%\bt��\000\0009%\b\0009%\bx���\b\206�\000\0009%\bP\000\000\000\000\000\000\0010^�\0060^�\006(8$\b\230���\222�\177\006\0009%\bP\000\000\000����0^�\006\0009%\b@&$\b�����\223\221\006\0009%"...
        windowname = "Geavanceerde opties 600
CU:002\000\000\000\000��\203\000\b\000\000\000\020\000\000\000\v\\�\000t��\000�Q(\b\220~>\b������\203\000��!\b\002\000\000\0002\000\000\000��!\b\020\000\000\000\030\000\000\000����\020\000\000\000��!\b\001\000\000\000\b\000\000\000��!\b\b\000\000\000\020\000\000\000\001\000\000\000\030�\213\000\b9%\b@Y)\b����\f�\200\000\020\000\000\000@Y)\b\000\000\000\000��\177\006\0009%\b(8$\b<�\213\000<�\213\000\0009%\b\0009%\b\000\000\000\0001w\204\000\000\000"...
        devicetext = "600
CU:002\000'\b(����\r\221\006\200\026'\b\021�X\000��!\b\030\000\000\000�og\000@\201g\000
\000\000\000(����\000Y\000\021�X\0008����g\200\000\000�#\b
\000\000\000\000\000\000\000t��\000\001\000\000\000\030\000\000\000x�����d\000�-%\b\002\000\000\200\001\000\000\200BH�\000�-%\b\001\000\000\000\002\000\000\000\001\000\000\200�Q(\b\005\000\000\000\v\\�\000t��\000\000\000\000\000�og\000@\201g\000�-%\b����@\026Y\000@\201g\000�-%\b\005\000\000\000�Q(\b\030����-%\b�Q("...
        textptr = <value optimized out>
        xsane_window = (GtkWidget *) 0x8271998
        xsane_vbox_main = (GtkWidget *) 0x82714f0
        xsane_vbox_standard = <value optimized out>
        xsane_vbox_advanced = <value optimized out>
        colormap = (GdkColormap *) 0x823c420
        status = <value optimized out>
        sane_handle = (SANE_Handle) 0x83b3318
Comment 2 Erik van Pienbroek 2007-08-12 14:58:35 EDT
It seems this bug is caused by the fact that xsane isn't compatible with the new
GTK tooltips API yet.

Attached patch works around this problem by removing the tooltip code which
causes this crash. It doesn't cause any side effects as far as I've tested it now.

Actually upstream should fix this by supporting the GTK 2.12 tooltips API, but
this should suffice for now.
Comment 3 Erik van Pienbroek 2007-08-12 14:59:44 EDT
Created attachment 161141 [details]
Workaround which makes xsane work with GTK 2.12
Comment 4 Erik van Pienbroek 2007-08-12 15:01:06 EDT
Before I forget, this also fixes the 2 critical warnings which were mentioned in
the original report.
Comment 5 Erik van Pienbroek 2007-09-14 19:05:25 EDT
Any news on this issue?
Comment 6 Nils Philippsen 2007-09-15 04:55:36 EDT
(In reply to comment #4)
> Before I forget, this also fixes the 2 critical warnings which were mentioned in
> the original report.

These warnings show the real problem AFAICS, the old tooltips API would be
derpecated but still there, but if you try to set things on non-existent styles,
bad things happen.
Comment 7 Nils Philippsen 2007-09-15 05:09:25 EDT
I don't see this problem with gtk2-2.11.6-9.fc8 installed. I'll update to 2.12.0
and try this one out.
Comment 8 Nils Philippsen 2007-09-15 05:17:22 EDT
Hmm, seems 2.12.0 hasn't even hit Rawhide yet. Which version of gtk2 do you use?
Comment 9 Erik van Pienbroek 2007-09-15 05:28:12 EDT
You're right, with the latest GTK (2.11.6-9) the problem doesn't exist anymore.
I guess it's because of this change in GTK:

* Wed Aug 08 2007 Matthias Clasen <mclasen@redhat.com> - 2.11.6-6
- Improve tooltip compatibility to make acroread work again

I'm going to investigate whether this change is really responsible for fixing
this bug.
Comment 10 Nils Philippsen 2007-09-15 05:48:30 EDT
Same with gtk2-2.12.0-1.fc8 fetched directly from koji.
Comment 11 Erik van Pienbroek 2007-09-15 06:48:25 EDT
GTK 2.11.6-6 indeed fixes this problem. I've tried pulling both 2.11.6-5 and
2.11.6-6 from koji and with 2.11.6-5 xsane crashes at startup while with
2.11.6-6 xsane doesn't crash.

This bug can be closed as it is solved now in the GTK package

Note You need to log in before you can comment on or make changes to this bug.